Contacts
Get Contact
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
include?array<>
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "identities": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "type": "string", "value": "string", "scope_type": "string", "scope_id": "string", "health": "healthy", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "channels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "health": "healthy", "transactional_opt_in": "consent_granted", "marketing_subscription_status": "requested", "marketing_messages_this_month": 9007199254740991, "messages_this_month": 9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "analytics": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "campaign_messages_this_month": 9007199254740991, "review_request_message_count": 9007199254740991, "number_of_marketing_opt_in_requests": 9007199254740991, "last_review_rating": 1, "last_interaction_at": "2019-08-24T14:15:22Z", "last_outbound_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "property1": null, "property2": null}